<?php
// install script
// coyright(c) team1/3 All Rights Reserved.

function install_script()
{
	global $database, $p_circle, $ut;

	$ar = $database->sql_select_all("select metadata from ".DBX."circles where id=?", $p_circle);
	if ($ar) {
		$m = unserialize64($ar[0]['metadata']);
		if ($m) {
			$m['installed_plugins'][153] = array(
				  'selector' => "exmail"
				, 'title' => "USE ExMail"
				, 'php' => ".ExMail"
				//, 'add_inner' => false
				//, 'renderer' => true
			);
			$database->sql_update("update ".DBX."circles set metadata=? where id=?", serialize64($m), $p_circle);
		}
	}

	// GCAXݒ`FbN
	$params['circle']['meta'] = get_circle_meta();
	$alias_ar = array();
	if (!isset($params['circle']['meta']['alias']) || !isset($params['circle']['meta']['alias']['exmail'])) {
		$r = array();
		$r['link'] = 0;
		$r['mode'] = 1;
		$r['type'] = 153;
		$r['title'] = "ExMail Settings";
		$r['result'] = create_page( $r );
		if (!$r['result']) {
			return false;
		}
		$params['circle']['meta']['alias']['exmail'] = $r['id'];
		if (!$database->sql_update("update ".DBX."circles set metadata=? where id=?", serialize64($params['circle']['meta']), $p_circle)) {
			return false;
		}
		$id = $r['id'];
	} else {
		$id = $params['circle']['meta']['alias']['exmail'];
	}
	$m = get_circle_meta('system_menus');
	if (empty($m['ExMail_Manager'])) {
		//j[ǉ
		$m = get_circle_meta('system_menus');
		$m['ExMail_Manager'] = array('title'=>"ExMail Settings", 'id'=>$id, 'url'=>$ut->link($id), 'rights'=>'admin');
		set_circle_meta('system_menus',$m);
	}


}

function uninstall_script()
{
	global $database, $p_circle;

	$ar = $database->sql_select_all("select metadata from ".DBX."circles where id=?", $p_circle);
	if ($ar) {
		$m = unserialize64($ar[0]['metadata']);
		if ($m) {
			unset($m['installed_plugins'][153]);
			$database->sql_update("update ".DBX."circles set metadata=? where id=?", serialize64($m), $p_circle);
		}
	}

	$m = get_circle_meta('system_menus');
	unset($m['ExMail_Manager']);
	set_circle_meta('system_menus',$m);

}


?>